//			MixCF/main.cpp
//		Aufruf von C-, F77-Routinen von C++ aus.
//		Parameruebergabe an F77 mittels F77_BY_REFERENCE umschaltbar
#define F77_BY_REFERENCE

#include <iostream>
#include "fkt.hpp"

using namespace std;

int main()
{
 const int    N = 10;
       double x[10], s=3.2, t;

//				Aufruf in C++
 initCpp(N, x, s);
 t = norm2_Cpp(N, x);

 cout << " C++  : " << t << endl;

//				Aufruf in C
 initC(N, x, s);
 t = norm2_C(N, x);

 cout << " C    : " << t << endl;

//				Aufruf in F77
#ifdef F77_BY_REFERENCE
 initF77(N, x, s);		// by reference
 t = norm2_F77(N, x);
#else
 initF77(&N, x, &s);		// by address
 t = norm2_F77(&N, x);
#endif
 cout << " F77  : " << t << endl;

 return 0;
}


